Subject: Re: [hrpc] Submission of draft-irtf-research for IRSG last call.

From: Niels ten Oever <[email-masked]>
Date: Mon, 01 May 2017 15:11:49 -0500

Hi all,

It's been three weeks since Avri forwarded this document to the IRSG and Stephen made the review and called it 'Ready to Publish'.

Do we need more reviews before  a poll can be called? Or would a second review be part of the poll itself?

Best,

Niels (who as a co-author would be very happy if this process progressed)

On Apr 12, 2017, 17:05, at 17:05, Stephen Farrell <[email-masked]> wrote:
>
>Dear IRSG,
>
>I'm happy to volunteer to do an IRSG review of this one.
>
>I reviewed the draft during the RG process and checked the changes
>done since and I think this is ready for publication.
>
>Cheers,
>S.
>
>On 12/04/17 15:45, avri doria wrote:
>> Hi,
>> 
>> As co-chair of the Human Rights Protocol Considerations (HRPC)
>Research
>> Group (RG) and shepherd for this document, I would like to submit:
>> 
>>  	Title           : Research into Human Rights Protocol
>Considerations
>>         Authors         : Niels ten Oever
>>                           Corinne Cath
>> 	Filename        : draft-irtf-hrpc-research-12.txt
>> 	Pages           : 75
>> 	Date            : 2017-04-10
>>
>	https://datatracker.ietf.org/doc/draft-irtf-hrpc-research/?include_text=1
>> 
>> for IRSG Review and Approval (according to RFC5743, 2.2)
>> 
>> The research in this draft has been a work item in the RG since mid
>2015. Several earlier drafts were folded into this single draft, which
>became a RG draft in September 2016.
>> 
>>>From the abstract: This draft has consensus for publication from the
>Internet Research Task Force (IRTF) Human Right Protocol Considerations
>Research Group.  It is the first milestone in a longer term research
>effort and has been reviewed both within the research group and by
>individuals from outside the research group.  Many of the topics
>discussed are still under discussion in the research group and will be
>subjects of continuing research.
>> 
>> The RG held an extended last call, longer than a month, where we
>received comments from a number of RG members, including by several
>experienced IETF participants and RFC authors, and also from some
>external academics and human rights advocates.  The last call was
>follwed by a vigorous discussion in the RG to clarify and revise
>statements made in the draft. A revised document was subjected to a 2
>week second last call as there had been substantive changes made in the
>draft after the first last call. While some minor changes were made in
>the second last call draft, they were not substantive and did not
>require another last call.
>> 
>> I believe that this document meets the requirements for RG
>preparation defined in RFC5742 section 2.1. and that is it ready for
>IRSG review, and hopefully approval.
>> 
>> Thanks
>> 
>> Avri Doria
>> 
>> 
>> 
>> 
>> 
>> 
>> ---
>> This email has been checked for viruses by Avast antivirus software.
>> https://www.avast.com/antivirus
>> 
>> _______________________________________________
>> hrpc mailing list
>> [email-masked]
>> https://www.irtf.org/mailman/listinfo/hrpc
>> 
>
>
>
>------------------------------------------------------------------------
>
>_______________________________________________
>hrpc mailing list
>[email-masked]
>https://www.irtf.org/mailman/listinfo/hrpc

---

From: Corinne Cath <[email-masked]>
Date: Thu, 4 May 2017 10:22:03 +0100

+1

Best,

Corinne (who as a co-author would also be very happy to see move forward)

On Mon, May 1, 2017 at 9:11 PM, Niels ten Oever <[email-masked]> wrote:

> Hi all,
>
> It's been three weeks since Avri forwarded this document to the IRSG and
> Stephen made the review and called it 'Ready to Publish'.
>
> On Apr 12, 2017, at 17:05, Stephen Farrell <[email-masked]>
> wrote:
>
>>
>> Dear IRSG,
>>
>>>  As co-chair of the Human Rights Protocol Considerations (HRPC) Research
>>>    Title           : Research into Human Rights Protocol Considerations
>>>  The research in this draft has been a work item in the RG since mid 2015. Several earlier drafts were folded into this single draft, which became a RG draft in September 2016.
>>>
>>> From the abstract: This draft has consensus for publication from the Internet Research Task Force (IRTF) Human Right Protocol Considerations Research Group.  It is the first milestone in a longer term research effort and has been reviewed both within the research group and by individuals from outside the research group.  Many of the topics discussed are still under discussion in the research group and will be subjects of continuing research.
>>>>
>>>
>>>  The RG held an extended last call, longer than a month, where we received comments from a number of RG members, including by several experienced IETF participants and RFC authors, and also from some external academics and human rights advocates.  The last call was follwed by a vigorous discussion in the RG to clarify and revise statements made in the draft. A revised document was subjected to a 2 week second last call as there had been substantive changes made in the draft after the first last call. While some minor changes were made in the second last call draft, they were not substantive and did not require another last call.
>>>
>>>  I believe that this document meets the requirements for RG preparation defined in RFC5742 section 2.1. and that is it ready for IRSG review, and hopefully approval.
>>>
>>>  Thanks
>>>
>>>  Avri Doria
>>>
>>>
>>>
>>>
>>>
>>>
>>>  ---
>>> ------------------------------
>>>
>>>  hrpc mailing list
>>>  [email-masked]
>> ------------------------------
>>
>> hrpc mailing list
>> [email-masked]

-- 
Corinne J.N. Cath
Ph.D. Candidate, Oxford Internet Institute & Alan Turing Institute

Web: www.oii.ox.ac.uk/people/corinne-cath
Email: [email-masked] & [email-masked]
Twitter: @C_Cath

---

From: Alexey Melnikov <[email-masked]>
Date: Thu, 4 May 2017 18:07:50 +0100

Hi Niels,

On 01/05/2017 21:11, Niels ten Oever wrote:
> Hi all,
>
> It's been three weeks since Avri forwarded this document to the IRSG 
> and Stephen made the review and called it 'Ready to Publish'.
>
> Do we need more reviews before  a poll can be called?

If I remember correctly you only need 1 Yes before progressing to IRSG poll.

> Or would a second review be part of the poll itself?

I think so. I can do the second review.

Best Regards,
Alexey
> On Apr 12, 2017, at 17:05, Stephen Farrell <[email-masked] 
> <mailto:[email-masked]>> wrote:
>
>     Dear IRSG,
>
>         Hi, As co-chair of the Human Rights Protocol Considerations
>         (HRPC) Research Group (RG) and shepherd for this document, I
>         would like to submit: Title : Research into Human Rights
>         Protocol Considerations Authors : Niels ten Oever Corinne Cath
>         Filename : draft-irtf-hrpc-research-12.txt Pages : 75 Date :
>         2017-04-10
>         for IRSG Review and Approval (according to RFC5743, 2.2) The
>         research in this draft has been a work item in the RG since
>         mid 2015. Several earlier drafts were folded into this single
>         draft, which became a RG draft in September 2016.
>
>             From the abstract: This draft has consensus for
>             publication from the Internet Research Task Force (IRTF)
>             Human Right Protocol Considerations Research Group. It is
>             the first milestone in a longer term research effort and
>             has been reviewed both within the research group and by
>             individuals from outside the research group. Many of the
>             topics discussed are still under discussion in the
>             research group and will be subjects of continuing research. 
>
>         The RG held an extended last call, longer than a month, where
>         we received comments from a number of RG members, including by
>         several experienced IETF participants and RFC authors, and
>         also from some external academics and human rights advocates.
>         The last call was follwed by a vigorous discussion in the RG
>         to clarify and revise statements made in the draft. A revised
>         document was subjected to a 2 week second last call as there
>         had been substantive changes made in the draft after the first
>         last call. While some minor changes were made in the second
>         last call draft, they were not substantive and did not require
>         another last call. I believe that this document meets the
>         requirements for RG preparation defined in RFC5742 section
>         2.1. and that is it ready for IRSG review, and hopefully
>         approval. Thanks Avri Doria --- This email has been checked
>         for viruses by Avast antivirus software.
>         hrpc mailing list [email-masked]

---

From: avri doria <[email-masked]>
Date: Thu, 4 May 2017 14:07:58 -0400

hi,

One thing I am not sure of is whether it need to be someone other than a
group participant.

I am checking on this.

avri

On 04-May-17 13:07, Alexey Melnikov wrote:
>>         Protocol Considerations Authors : Niels ten Oever Corinne
>>         Cath Filename : draft-irtf-hrpc-research-12.txt Pages : 75
>>         Date : 2017-04-10
>>         we received comments from a number of RG members, including
>>         by several experienced IETF participants and RFC authors, and
>>         had been substantive changes made in the draft after the
>>         first last call. While some minor changes were made in the
>>         second last call draft, they were not substantive and did not
>>         require another last call. I believe that this document meets
>>         the requirements for RG preparation defined in RFC5742
>>         section 2.1. and that is it ready for IRSG review, and
>>         hopefully approval. Thanks Avri Doria --- This email has been
>>         checked for viruses by Avast antivirus software.

---

---

From: Niels ten Oever <[email-masked]>
Date: Fri, 5 May 2017 16:09:28 +0200

That would be awesome Alexey!

Thanks,

Niels

-- 

Niels ten Oever
Head of Digital

Article 19
www.article19.org

PGP fingerprint	   2458 0B70 5C4A FD8A 9488  
                   643A 0ED8 3F3A 468A C8B3

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Fri, 5 May 2017 21:12:35 -0500

For what it's worth ...

On Fri, May 5, 2017 at 9:09 AM, Niels ten Oever <[email-masked]> wrote:

> and

That's the way I read #4 under
https://trac.ietf.org/trac/irtf/wiki/IRTF-RFCs#Initialsteps - or am I
misreading it?

Spencer

---

From: Alexey Melnikov <[email-masked]>
Date: Wed, 17 May 2017 15:58:49 +0100

I am happy to be the second "Yes" for this document. I have a small list 
of minor issues from my review:

At the end of 5.2.3.3.2 it says that there is no opportunistic 
encryption for HTTP/2: this is now RFC 8164!

In 5.2.3.6.6: is "vanify" a word?

In 6.2.5: first para has some questions duplicated (with minor 
differences). I think some cleanup is in order.

In 6.2.8: freedom of expression is so good, it is listed twice ;-).

In 6.2.10: last para on page 49 is almost the same as the first para on 
page 50.

In 6.2.12: RFC 4646 got obsoleted by RFC 5646.

Best Regards,

Alexey

---

From: Niels ten Oever <[email-masked]>
Date: Thu, 18 May 2017 10:30:21 +0200

Hi Alexey,

Thanks a lot for this! I've sought to address the issues you brought up a new version:

https://tools.ietf.org/html/draft-irtf-hrpc-research-13

Does this mean we can start the IRSG poll?

Best,

Niels

On Wed, May 17, 2017 at 03:58:49PM +0100, Alexey Melnikov wrote:
> I am happy to be the second "Yes" for this document. I have a small list of
> minor issues from my review:
> 
> 
> At the end of 5.2.3.3.2 it says that there is no opportunistic encryption
> for HTTP/2: this is now RFC 8164!
> 
> In 6.2.5: first para has some questions duplicated (with minor differences).
> I think some cleanup is in order.
> 
> In 6.2.10: last para on page 49 is almost the same as the first para on page
> 50.
> 

-- 

Niels ten Oever
Head of Digital

Article 19
www.article19.org

---

From: avri doria <[email-masked]>
Date: Thu, 18 May 2017 09:47:59 -0400

Hi,

Thank you for this review.

Niels, please let the HRPC group know about the disposition of these
suggestions.

thanks

avr

On 17-May-17 10:58, Alexey Melnikov wrote:
> I am happy to be the second "Yes" for this document. I have a small
> list of minor issues from my review:
>
>
> In 6.2.10: last para on page 49 is almost the same as the first para
> on page 50.
>
>>>> Cath
>>>> first

---